#
# spec file for package instlux
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%if 0%{?suse_version} >= 1500 && !0%{?skelcd_compat}
%define skelcdpath /usr/lib/skelcd
%endif

Name:           instlux
Summary:        Windows openSUSE installer
License:        GPL-2.0-or-later
Group:          Metapackages
URL:            http://en.opensuse.org/Instlux
Version:        15.5.1
Release:        lp155.1.4
AutoReqProv:    off
BuildRequires:  dos2unix
Source1:        openSUSE_installer.exe
Source2:        %name-README.BUILD
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64

%description
Find your place in the Linux world by upgrading your windows to a Linux
system the easiest possible way: running an installer on your Windows.

This package as meta package contains the instlux CD content.

%prep

%build

%install
# create a short README for the pseudo main package
mkdir -p %buildroot%_defaultdocdir/%name/
cat > %buildroot%_defaultdocdir/%name/README << EOF
Instlux allows a windows user start installing openSUSE from Windows, without
configuring the BIOS.
Instlux was based on Marc Herberts web page[1] and was started as a
sourceforge.net[2] project on October 2005.
Currently maintained at github[3] and OBS project[4].
Instlux is included in openSUSE since 10.3.
[1]: http://marc.herbert.free.fr/linux/win2linstall.html
[2]: http://instlux.svn.sourceforge.net/
[3]: https://github.com/belphegor-belbel/instlux/
[4]: https://build.opensuse.org/project/show/home:belphegor_belbel:instlux
Have a lot of fun!
EOF
install -m644 %{S:2} %buildroot%_defaultdocdir/%name/README.BUILD
mkdir -p %buildroot%{?skelcdpath}/CD1
install -m644 %{S:1} %buildroot%{?skelcdpath}/CD1/openSUSE_installer.exe

echo "[autorun]" > %buildroot%{?skelcdpath}/CD1/autorun.inf
echo "label = openSUSE installer" >> %buildroot%{?skelcdpath}/CD1/autorun.inf
echo "icon  = susego.ico" >> %buildroot%{?skelcdpath}/CD1/autorun.inf
echo "open  = openSUSE_installer.exe" >> %buildroot%{?skelcdpath}/CD1/autorun.inf
unix2dos %buildroot%{?skelcdpath}/CD1/autorun.inf

%files
%defattr(-, root, root)
%dir %_defaultdocdir/%name
%doc %_defaultdocdir/%name/*
%if %{defined skelcdpath}
%dir %{skelcdpath}
%endif
%{?skelcdpath}/CD1

%changelog
* Wed May  3 2023 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.5.1.
  * Set Leap 15.5 as default (latest stable)
* Thu Mar  2 2023 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.5.0.
  * Added Leap 15.5 (but not default)
* Mon Jun 13 2022 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.4.2.
  * added Leap 15.4 WSL
* Sat May 28 2022 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.4.1.
  * Set Leap 15.4 as default (latest stable)
* Thu Mar  3 2022 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.4.0.
  * Added Leap 15.4 (but not default)
* Thu Oct  7 2021 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.3.6.
  * 15.3.2 to 15.3.3
  - fix for Windows 11; WSL2 is used by default
  * 15.3.3 to 15.3.4
  - fix for Windows 11; requires kernel package
  * 15.3.4 to 15.3.5
  - Added "Unicode false" to disable Unicode mode
    (fix for NSIS >= 3.07)
  * 15.3.5 to 15.3.6
  - Move "Unicode false" to top
* Tue Jun  8 2021 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.3.2.
  * Added Leap 15.3 WSL
* Fri May 14 2021 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.3.1.
  * Set Leap 15.3 as default (latest stable)
* Mon Jul  6 2020 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.3.0.
  * Added Leap 15.3 (but not default)
  * Added Leap 15.2 WSL
* Thu Jun 18 2020 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.2.4.
  * 15.2.4
  * Set Leap 15.2 as default (latest stable)
  * 15.2.3
  * Revert 15.2.2's change; when compiling with mingw, there is
    an impact that not working with older (Vista or earlier)
    Windows.
  * 15.2.2
  * Fix for compiling with mingw; libwinpthread-1.dll is
    required to run
* Sat Nov 16 2019 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.2.1.
  * fix for UEFI detection (removed boot store path)
  * changed VirtualBox download URL parameter;
    need to download properly
* Wed Sep  4 2019 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.2.0.
  * added Leap 15.2 (but not default)
* Fri Jun 14 2019 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.1.3.
  * added Leap 15.1 WSL
  * SetOutPath should be executed before any CMD.exe execution
- upgraded to 15.1.2.
  * Removed developer mode code (not needed for build id >= 16215)
* Tue Mar 12 2019 Yasuhiko Kamata <belphegor@belbel.or.jp>
- upgraded to 15.1.1.
  * set Leap 15.1 as default
* Wed Oct 31 2018 belphegor@belbel.or.jp
- upgraded to 15.1.0.
  * added Leap 15.1 (but not default)
  * added Leap 15.0 WSL
* Sat Apr 28 2018 belphegor@belbel.or.jp
- upgraded to 15.0.7.
  * removed older versions temporarily; these will be resumed
    with showing a warning message dialog (boo#1091177).
  * added notice message for WSL app (boo#1091177).
* Mon Apr 23 2018 belphegor@belbel.or.jp
- upgraded to 15.0.6.
  * Set Leap 15.0 as default (latest stable).
  (15.0.5)
  * Increase size to 10GB for Leap 15.0 or later in virtualized
    environment.
  (15.0.4)
  * Download "(arch)-Current.iso" when "(arch).iso" is unavailable
  * Update Danish.nsh
* Tue Nov 21 2017 dimstar@opensuse.org
- In case prjconf defines skelcd_compat, do not yet move skelcdpath
  to /usr/share. This allows TW to move suse_version ahead of
  SLE15, without being forced to switch to the new product builder.
* Fri Nov 10 2017 belphegor@belbel.or.jp
- Added Leap 15.0 (but currently not default).
* Tue Oct 10 2017 lnussel@suse.de
- use /usr/lib/skelcd conditionally for products that use the new product
  builder
* Wed Aug 30 2017 belphegor@belbel.or.jp
- Upgraded nsis version to 3.02.1.
- Added Danish translation (thanks to scootergrisen) and
  Lithuanian translation (thanks to embar-).
- Fix uninstallation problem after dual-boot configuration.
- Changed to show different message for server core
  (Startup won't be run if server core is used).
* Tue Aug 15 2017 belphegor@belbel.or.jp
- Fix to use unix2dos instead of deprecated recode (bsc#1053649).
- Correct autorun.inf ("%%{distroversion}" is not defined anymore).
* Fri Jul  7 2017 belphegor@belbel.or.jp
- Fix Hyper-V CPU check timing & feature name.
* Mon Jul  3 2017 belphegor@belbel.or.jp
- Set Leap 42.3 as default.
* Mon Apr 10 2017 belphegor@belbel.or.jp
- Upgraded nsis version to 3.01.
- Added VirtualBox and Hyper-V (including client Hyper-V) support.
  Note: Hyper-V support is limited to Windows 8/Server 2012 or
    later only.
- Reject Windows Me (due to lacking dual boot/virtualization).
- Added Leap 42.3 (but currently not default).
* Thu Dec  8 2016 belphegor@belbel.or.jp
- refurbished source code:
  * Added version and architecture selection dialog; openSUSE's
    version (Leap 42.2, Leap 42.1, Tumbleweed, etc.) can be
    selected during wizard.
    Due to this change, .exe became to version-independent.
  * Unified functionality of *_LOCAL.exe and *_NET.exe; when
    instlux is located in DVD media, instlux can detect it and
    use it for installation (instead of downloading). Downloading
    (other) versions can be done anyway.
  * Upgraded nsis version to 3.0.
  * Removed unnecessary codes/modules (python preprocessor,
    nsis-getversion, nsis-inetc).
* Fri Oct 14 2016 belphegor@belbel.or.jp
- fix broken autorun.inf (bnc#1000213)
* Sun Sep 25 2016 belphegor@belbel.or.jp
- adjusted labels to 42.2 again
* Thu Sep  1 2016 belphegor@belbel.or.jp
- adjusted labels to Tumbleweed
- re-enable i586 install for Tumbleweed (bnc#995921)
* Mon May 30 2016 belphegor@belbel.or.jp
- adjusted labels 42.1 -> 42.2
- prevent i586 install for openSUSE Leap 42.1 or later
* Fri Aug 14 2015 belphegor@belbel.or.jp
- adjusted labels 13.2 -> 42.1
* Fri Sep 12 2014 belphegor@belbel.or.jp
- adjusted labels 13.1 -> 13.2
* Thu Jul 18 2013 belphegor@belbel.or.jp
- fixed symbol-lookup problem (nsis-cpuid)
- fix uninstaller problem.
  (UAC support is required for Windows Vista or later)
* Tue May 21 2013 belphegor@belbel.or.jp
- adjusted labels 12.3 -> 13.1
- updated outdated document (instlux-README.BUILD)
- removed unnecessary (and some confusing) source archive
  (instlux-SVN62.tar.bz2) and updated instlux.spec accordingly.
* Fri Feb  8 2013 coolo@suse.com
- generate the autorun.inf file directly next to the INSTLUX exe
  (bnc#801873)
* Mon Nov 26 2012 belphegor@belbel.or.jp
- added Japanese support.
- added Windows 8, Windows Server 2008, Windows Server 2008R2,
  Windows Server 2012 support.
- fixed Windows 7 admin privileges problem [bnc#608234]
- fixed x64 problem ("cannot exec bcdedit").
- updated grub4dos (grldr, grldr.mbr, grub.exe);
  from included-in-instlux version to released version (0.4.4).
* Thu Nov  1 2012 pgajdos@suse.com
- adjusted labels 12.2 -> 12.3
* Wed Nov  2 2011 pgajdos@suse.com
- adjusted labels 12.1 -> 12.2
* Mon Jun  6 2011 pgajdos@novell.com
- checking for admin privileges (WinVista + Win7)
  [bnc#608234]
* Tue May 24 2011 pgajdos@novell.com
- adjusted labels 11.4 -> 12.1
* Thu Mar  3 2011 pgajdos@suse.cz
- download from http://download.opensuse.org/distribution/$DIST/repo/oss/
  to work with not released versions [bnc#673700]
* Tue Aug 24 2010 pgajdos@suse.cz
- adjusted labels 11.3 -> 11.4
* Tue Jan 19 2010 pgajdos@suse.cz
- built againist (see home:pgajdos:instlux)
  * new nsis 2.46
  * new GetVersion nsis plugin + added Windows 7 support
  * new Inetc nsis plugin
- some text corrections and improvements
- fixed installer idempotency [bnc#553530]
- fixed encoding of hungarian license statement [bnc#555638]
* Tue Sep 29 2009 pgajdos@suse.cz
- fixed [bnc#539668] -- Win32 network installer can't download initrd
* Tue Feb 17 2009 pgajdos@suse.cz
- adjusted labels 11.1 -> 11.2
* Thu Nov  6 2008 ro@suse.de
- drop noarch, makes no sense in combination with ExclusiveArch
* Thu Nov  6 2008 pgajdos@suse.cz
- adjusted labels 11.0 -> 11.1 [bnc#442271]
* Thu Sep 18 2008 lrupp@suse.de
- split of into instlux-net and instlux-local to avoid ugly hacks
  during media creation (we need only one of the files there)
- remove unneeded sources
- make it noarch for now as it contains prebuild windows binaries
* Tue Jul 29 2008 pgajdos@suse.cz
- openSUSE 11.1, from now on:
- restores custom timeout [bnc#402682]
- uses "C:\windows\system32\bcdedit.exe" command instead of "bcdedit"
  [bnc#395675]
* Mon Dec  3 2007 ssommer@suse.de
- updated instlux to r62:
  o openSUSE 11.0
  o grub4dos sources are now part of the instlux tarball
  o hungarian translation
  o all patches are included now
* Fri Sep 14 2007 ssommer@suse.de
- fix installation when there is a XP and Vista installation and
  the system is set up to boot the XP partition (#310575)
- add forgotten hungarian translation
* Mon Aug 27 2007 ssommer@suse.de
- avoid error message after successfully copying the initrd
* Wed Aug  8 2007 ssommer@suse.de
- remove (unused) cs89x0 driver sources because they may only be
  distributed with the Etherbootpackage (#294857)
* Thu Aug  2 2007 ssommer@suse.de
- update instlux to r43:
  o changed language selection dialog title to NAME_VERSION: Select language
  o changed language selection dialog description to Please select a
  language for the NAME_VERSION Installer
  o description for the installation options
  (#293017)
  o display the uninstaller in the language that has been selected
  during the installation (#296415)
* Tue Jul 24 2007 lrupp@suse.de
- initial version
